Forums Neueste Beiträge
 

fehler bei Opensuse 11.2

13/12/2009 - 19:48 von Christian Modewitzsch | Report spam
Hallo Leute,

ich nutzte seit kurzem Opensuse 11.2 mit KDE 4.
Ich nutze (ich weiß es gibt yast und Zypper) smart zum update.
Leider ist es nicht möglich channels hinzuzufügen.

Folgender Fehler kommt:
~ # smart channel --add
Traceback (most recent call last):
File "/usr/bin/smart", line 195, in <module>
main(sys.argv[1:])
File "/usr/bin/smart", line 158, in main
opts = parse_options(argv)
File "/usr/bin/smart", line 101, in parse_options
opts, args = parser.parse_args()
File "/usr/lib/python2.6/site-packages/smart/util/optparse.py", line 1275,
in parse_args
stop = self._process_args(largs, rargs, values)
File "/usr/lib/python2.6/site-packages/smart/option.py", line 126, in
_process_args
self._process_long_opt(rargs, values)
File "/usr/lib/python2.6/site-packages/smart/util/optparse.py", line 1368,
in _process_long_opt
opt = self._match_long_opt(opt)
File "/usr/lib/python2.6/site-packages/smart/util/optparse.py", line 1353,
in _match_long_opt
return _match_abbrev(opt, self._long_opt)
File "/usr/lib/python2.6/site-packages/smart/util/optparse.py", line 1556,
in _match_abbrev
raise BadOptionError(_("no such option: %s") % s)
UnicodeDecodeError: 'ascii' codec can't decode byte 0x80 in position 2:
ordinal not in range(128)


Ich weiß das es was mit der Zeichencodierung zu tun hat, aber nicht wie man
es abstellt.
Da zweite Problem ist folgendes: Ich liebe es von der Konsole mit su
kurzfristg als root (ja ich weiß es ist gefàhrlich und es gibt sudo) zu
arbeiten. Seit Suse 11.2 kann ich aber keinen Editor aufrufen um
Systemdateien zu bearbeiten.

Fehler:

Prozess kann nicht gestartet werden: Keine Verbindung zu klauncher: Not
connected to D-Bus server

Ich weiß das man das mit einer befehlsfolge im terminal umgehen kann. Darum
geht es aber nicht. Ich möchte das ich einfach z.B. su kwrite aufrufen kann
und es làuft.

Weiß jemand abhilfe

Gruss Christian
 

Lesen sie die antworten

#1 Henning Paul
14/12/2009 - 09:09 | Warnen spam
Christian Modewitzsch wrote:

ich nutzte seit kurzem Opensuse 11.2 mit KDE 4.



Bevor sich hier jemand die Mühe macht zu antworten: Exakt dasselbe
Posting hat Christian auch schon in alt.linux.suse eingestellt.

Gruß
Henning

Ähnliche fragen